package com.ruoyi.ss.mchApply.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/4/28
 */
@Getter
@AllArgsConstructor
public enum MchApplyStatus {

    APPROVING("0"), // 审核中
    PASSED("1"), // 审核通过
    REJECTED("2") // 审核驳回
    ;

    private final String status;

    public static String getStatusByPass(boolean pass) {
        return pass ? PASSED.getStatus() : REJECTED.getStatus();
    }

}
